# Charts AI Agents
The Charts AI Agents module provides a plugin (with hopes to include more) that
can sending information about a Drupal site to a chosen AI provider and carry
out specific actions with the returned response.

## Dependencies
1. The AI Core module, with at least one AI Provider to be installed and
   configured
2. The AI Agents module, which includes the Views Agent plugin that this module
   extends
3. The Charts module, which is needed to display a chart using Views.
4. A charting submodule, such as Charts Highcharts, which is needed to display
   a chart using Views.

## Documentation
Please start by using the documentation provided by the AI Agents module,
available here: https://project.pages.drupalcode.org/ai_agents/, and the
Charts module, available here:
https://www.drupal.org/docs/contributed-modules/charts.

Once you have the AI Agents module installed and configured, you can create
your Charts AI Agent, following the same instructions for the Views Agent.

To create a Charts, you either need to use the Explore page provided by the
AI Agents module, which will be available at
`/admin/config/ai/agents/explore?agent_id=charts_views_agent` (although the)
ID referenced in that link will be the machine name of your agent), or you can
use the AI Chatbot, accessible as a Block you will need to place on your site.

Here's an example prompt you can provide to the AI Chatbot to create a new
chart:

```
Please create a view of Chart Usage Statistics nodes using the chart
style plugin. Use the title field as the label and the 7.x field as data
provider. Make the chart a line chart using the Highcharts library.
```

## Support
For bug reports and feature requests please use the Drupal.org issue tracker:
https://www.drupal.org/project/issues/charts_ai_agents.
